### Method

# RB Encoder get_missing_plugins

#### Declaration [src]

    gboolean
    rb_encoder_get_missing_plugins (
      RBEncoder* encoder,
      GstEncodingProfile* profile,
      char*** details,
      char*** descriptions
    )

#### Description [src]

Retrieves the plugin installer detail strings and descriptions for any missing plugins required to use the specified encoding profile.

#### Parameters

`profile`

  Type: `GstEncodingProfile`

  An encoding profile.

  The data is owned by the caller of the method.

`details`

  Type: `char***`

  Returns plugin installer detail strings.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`descriptions`

  Type: `char***`

  Returns plugin descriptions.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if some detail strings are returned, `FALSE` otherwise.